Subject: [PATCH V2] AHCI: Workaround for ThunderX Errata#22536

From: [email-masked] (Tirumalesh Chalamarla)
Date: Wed, 17 Feb 2016 13:46:47 -0800

On 02/17/2016 12:00 PM, Tejun Heo wrote:
> Hello, David.
>
> On Wed, Feb 17, 2016 at 10:57:50AM -0800, David Daney wrote:
>> If the ahci/ata maintainers insist, we can add that.
>
> I don't mind whether it is CONFIG_ARM64 or something more specific but
> I think it's a good idea to gate it some way.
>
Already posted a V3, could you please comment on that.

Thanks,
Tirumalesh.

>> <sarcasm>
>
> If at all possible, please write plain arguments.
>
>> Should we also add some CONFIG_ variables for:
>>
>>    ahci_mcp89_apple_enable()
>>    ahci_sb600_enable_64bit()
>>    ahci_p5wdh_workaround()
>
> And I think these should be gated behind CONFIG_X86.  The lack of
> gating is historic, not intentional.
>
> Thanks.
>